#pragma once


// CTouchSetupDlg dialog

class CTouchSetupDlg : public CDialogEx
{
	DECLARE_DYNAMIC(CTouchSetupDlg)

public:
	CTouchSetupDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CTouchSetupDlg();

	void LoadSettings();
	void SaveSettings();
	void UpdateVariableToCtrl();

	BYTE m_ctAddr[4];
	BYTE m_esAddr[4];
	BYTE m_psAddr[4];
	CString m_strWirelessPath;
	CString m_strCallPath;
	CString m_strTTSMessage;
	BOOL m_bSendTTS;
	BOOL m_bSendLineIn;

// Dialog Data
	enum { IDD = IDD_SETUP_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonSelect1();
	afx_msg void OnBnClickedButtonSelect2();
	afx_msg void OnBnClickedButtonSave();
	afx_msg void OnBnClickedButtonMicvolMinus();
	afx_msg void OnBnClickedButtonMicvolPlus();
	afx_msg void OnBnClickedButtonLinevolMinus();
	afx_msg void OnBnClickedButtonLinevolPlus();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnBnClickedCheckLinesend();
	afx_msg void OnBnClickedCancel();
};
